version: 1

containers:
  main:
    image: wordpress:6.4.3
    user: 1000:1000
    restart: always
    environment:
      WORDPRESS_CONFIG_EXTRA: |
        define('FS_METHOD','direct');
      WORDPRESS_DB_HOST: db.{{user}}.wordpress.nirvati
      WORDPRESS_DB_USER: {{ derive_entropy(identifier="db_username") }}
      WORDPRESS_DB_PASSWORD: {{ derive_entropy(identifier="db_password") }}
      WORDPRESS_DB_NAME: wordpress
    ingress_port: 80
    mounts:
      data:
        wp: /var/www/html
  db:
    image: mariadb:11.3.2
    command: --transaction-isolation=READ-COMMITTED --binlog-format=ROW --skip-innodb-read-only-compressed
    mounts:
      data:
        db: /var/lib/mysql
    environment:
      MARIADB_PASSWORD: {{ derive_entropy(identifier="db_password") }}
      MARIADB_DATABASE: wordpress
      MARIADB_USER: {{ derive_entropy(identifier="db_username") }}
      MARIADB_ROOT_PASSWORD: {{ derive_entropy(identifier="db_root_password") }}
    user: 1000:1000
    restart: always
    internal_ports:
      3306: 3306
